#!/bin/sh

LXC_VERSION=$(grep "^VERSION" ../lxcf/Makefile | sed -e s'/VERSION=//')
PATH=${PWD/%package/script}:$PATH

rm -rf SOURCES/*
rm -rf RPMS/*
rm -rf SRPMS/*

cd ../lxcf
make clean libdir=/usr/lib`[ $(uname -m) == x86_64 ] && echo 64`
cd ..
git clean -xdf
git set-file-times
( cd lxcf ; TZ=UTC gitlog2changelog.py )
mv lxcf lxcf-"$LXC_VERSION"
tar czf lxcf-"$LXC_VERSION".tar.gz lxcf-"$LXC_VERSION"
mv lxcf-"$LXC_VERSION" lxcf

cp lxcf-"$LXC_VERSION".tar.gz package/SOURCES

cd package/SOURCES
tar xzf lxcf-"$LXC_VERSION".tar.gz

cd ..
cp SOURCES/lxcf-*/lxcf.spec SPECS/lxcf.spec

rpmbuild -v -ba --clean SPECS/lxcf.spec
